import { buildSchemaSync } from 'type-graphql'
import * as resolversObj from '../src/resolvers'
import { objectToArray } from '../src/utils'

// schema auth checker
function authChecker(root: { context: { user?: { uid: string } } }) {
  return root.context.user?.uid ? true : false
}

// build schema
const resolvers = objectToArray<Function>(resolversObj) as [Function, ...Function[]]
const schema = buildSchemaSync({ resolvers, authChecker })
